in scala
class Option

`sealed abstract class` Option [+A]
  `extends` java.lang.Object
  `with` scala.Product
  `with` scala.ScalaObject

  This class represents optional values. Instances of `Option` are either instances of case class `Some` or it is case object `None`.

Author:
  Martin Odersky
Author:
  Matthias Zenger
Version:
  1.1, 16/01/2007

Direct Known Subclasses:
  Some, None

Constructor Summary
| `def` this

Def Summary
| `def` elements : scala.Iterator[A] An singleton iterator returning the option's value if it is nonempty or the empty iterator if the option is empty.
| `def` filter (p: (A) => scala.Boolean) : scala.Option[A] If the option is nonempty and the given predicate `p` yields `false` on its value, return `None`. Otherwise return the option value itself.
| `def` flatMap [B] (f: (A) => scala.Option[B]) : scala.Option[B] If the option is nonempty, return a function applied to its value. Otherwise return None.
| `def` foreach (f: (A) => scala.Unit) : scala.Unit Apply the given procedure `f` to the option's value, if it is nonempty. Do nothing if it is empty.
| `def` get [B >: A] (default: B) : B
`abstract` | `def` get : A get the value of this option. @requires that the option is nonEmpty.
| `def` getOrElse [B >: A] (default: => B) : B If the option is nonempty return its value, otherwise return the result of evaluating a default expression.
| `def` isDefined : scala.Boolean True if the option is a `Some`(...) false otherwise.
`abstract` | `def` isEmpty : scala.Boolean True if the option is the `None` value, false otherwise.
| `def` map [B] (f: (A) => B) : scala.Option[B] If the option is nonempty, return a function applied to its value, wrapped in a Some i.e. `Some(f(this.get))`. Otherwise return `None`.
| `def` orElse [B >: A] (alternative: => scala.Option[B]) : scala.Option[B] If the option is nonempty return it, otherwise return the result of evaluating an alternative expression.
| `def` toList : scala.List[A] A singleton list containing the option's value if it is nonempty or the empty list if the option is empty.

Def inherited from scala.Product
arity , element, productPrefix

Constructor Detail

`def` this

Def Detail

`def` elements : scala.Iterator[A]

  An singleton iterator returning the option's value if it is nonempty or the empty iterator if the option is empty.

`def` filter (p: (A) => scala.Boolean): scala.Option[A]

  If the option is nonempty and the given predicate `p` yields `false` on its value, return `None`. Otherwise return the option value itself.

Parameters:
  `p -` the predicate used for testing.

`def` flatMap [B](f: (A) => scala.Option[B]): scala.Option[B]

  If the option is nonempty, return a function applied to its value. Otherwise return None.

Parameters:
  `f -` the function to apply

`def` foreach (f: (A) => scala.Unit): scala.Unit

  Apply the given procedure `f` to the option's value, if it is nonempty. Do nothing if it is empty.

Parameters:
  `f -` the procedure to apply.

@scala.deprecated
`def` get [B >: A](default: B): B

Deprecated:
  ; use `getOrElse` instead

`abstract def` get : A

  get the value of this option. @requires that the option is nonEmpty.

Throws:
  `Predef.NoSuchElementException -` if the option is empty.

`def` getOrElse [B >: A](default: => B): B

  If the option is nonempty return its value, otherwise return the result of evaluating a default expression.

Parameters:
  `default -` the default expression.

`def` isDefined : scala.Boolean

  True if the option is a `Some`(...) false otherwise.

`abstract def` isEmpty : scala.Boolean

  True if the option is the `None` value, false otherwise.

`def` map [B](f: (A) => B): scala.Option[B]

  If the option is nonempty, return a function applied to its value, wrapped in a Some i.e. `Some(f(this.get))`. Otherwise return `None`.

Parameters:
  `f -` the function to apply

`def` orElse [B >: A](alternative: => scala.Option[B]): scala.Option[B]

  If the option is nonempty return it, otherwise return the result of evaluating an alternative expression.

Parameters:
  `alternative -` the alternative expression.

`def` toList : scala.List[A]

  A singleton list containing the option's value if it is nonempty or the empty list if the option is empty.